unit frmSetMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PGDsgFrm, PGSubCls, StdCtrls, ExtCtrls, IZASlideBar, Buttons;

type
  TBrowser = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    IZBar1: TIZBar;
    IZSimpleBar1: TIZSimpleBar;
    RadioGroup1: TRadioGroup;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    GroupBox1: TGroupBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    SpeedButton8: TSpeedButton;
    Label3: TLabel;
    Edit1: TEdit;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure IZBar1Expand(Sender: TObject; var Count: Byte);
    procedure IZBar1Collapse(Sender: TObject; var Collapse: Boolean;
      var Margin: Shortint; Button: TMouseButton; Shift: TShiftState; X,
      Y: Integer);
    procedure RadioGroup1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton8Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
  private
    { Private declarations }

  public
    { Public declarations }
  end;
const
    e : byte = 0;

var
  Browser: TBrowser;

implementation

{$R *.DFM}

procedure TBrowser.FormClose(Sender: TObject; var Action: TCloseAction);
begin
// isBrowser := False;
// Action := caFree
end;

procedure TBrowser.IZBar1Expand(Sender: TObject; var Count: Byte);
begin
 Application.ProcessMessages
end;

procedure TBrowser.IZBar1Collapse(Sender: TObject; var Collapse: Boolean;
  var Margin: Shortint; Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
begin
  If IzBar1.Expand = exMax then IzBar1.Expand := exMin
  else IzBar1.Expand := exMax
end;

procedure TBrowser.RadioGroup1Click(Sender: TObject);
begin
Case RadioGroup1.ItemIndex of
 0: begin
      IzBar1.Gripper := izLeft;
      IzBar1.ExpandDir := izLeft;
    end;
 1: begin
      IzBar1.Gripper := izRight;
      IzBar1.ExpandDir := izRight;
    end;
 2: begin
      IzBar1.Gripper := izTop;
      IzBar1.ExpandDir := izTop;
    end;
 3: begin
      IzBar1.Gripper := izBottom;
      IzBar1.ExpandDir := izBottom;
    end;
 4: begin
      IzBar1.Gripper := izNone;
    end;
 end;
end;

procedure TBrowser.BitBtn1Click(Sender: TObject);
begin
 IzBar1.Expand :=  exMin;
end;

procedure TBrowser.BitBtn2Click(Sender: TObject);
begin
 IzBar1.Expand :=  exMax;
end;

procedure TBrowser.BitBtn3Click(Sender: TObject);
begin
 IzBar1.Expand :=  exFull;
end;

procedure TBrowser.SpeedButton1Click(Sender: TObject);
begin
  If SpeedButton1.Down then IzBar1.HideCtrl
  else IzBar1.ShowCtrl
end;

procedure TBrowser.SpeedButton2Click(Sender: TObject);
begin
  If SpeedButton2.Down then IzBar1.ChildHideCtrl
  else IzBar1.ChildShowCtrl

end;

procedure TBrowser.SpeedButton8Click(Sender: TObject);
begin
  IzBar1.GripAsButton :=  SpeedButton3.Down
end;

procedure TBrowser.Edit1Change(Sender: TObject);
begin
 IZBAr1.Caption := Edit1.Text
end;

end.

